cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Participant
Participant
2,844 Views
Registered: ‎09-14-2010

petalinux-copy-autoconfig can't copy .dts file?

subject says it all. This is the output of petalinux-new-platform when it calls petalinux-copy-autoconfig;

 

INFO: Using MSS file system.mss and XML file ./../system_hw_platform/system.xml
INFO: Attempting vendor/platform auto-detect
INFO: Auto-detected platform "Pico/test3"
INFO: Merging platform settings into kernel configuration
ERROR: Unable to copy DTS file
WARNING: Failed to copy auto-config files.
INFO: New platform for Pico/test3 successfully created

So far the only thing I've tried is taking ownership of the whole petalinux directory for the current user, which didn't help.

 

I should note I am not strictly following the steps as listed in the board bringup guide, because we'd prefer to planAhead with embedded EDK projects rather than just pure EDK. I will try a strict interpretation tomorrow.

 

Also, a complaint. I am reduced to asking for help because petalinux-copy-autoconfig is not a script, and it doesn't have useful error messages. No obvious way to track the problem for myself. >:-(

0 Kudos
2 Replies
Highlighted
Newbie
Newbie
2,466 Views
Registered: ‎08-10-2013

Too bad I'm just seeing your message almost 9 months later...

 

I just encountered the same error message.  Using strace I determined that the dos2unix command was missing from my Linux machine, and petalinux-copy-autoconfig was trying to locate it in the path.  After adding the dos2unix package (sudo apt-get install dos2unix), the error message went away.  We may not be getting this error message for the same reason, and hopefully you've solved the problem by now, but for anyone reading this I suggest you check for missing PetaLinux dependencies such as dos2unix. 

 

Kevin

 

 

0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
2,458 Views
Registered: ‎08-02-2007

Hi,

 

Page 17 of this document talks about all the dependent packages required for Petalinux installation

 

http://www.xilinx.com/support/documentation/sw_manuals/petalinux2013_04/ug976-petalinux-installation.pdf

 

dos2unix is the first one :)

 

--HS

----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos